KACARICH'S BLOG's Archivers

From kaca.rich on 2013-11-13 14:50:42

eclipse插件server 不支持tomcat8的问题

最近很多人都咨询说TOMCAT8出来了。在开发过程中 ECLIPSE SERVER插件不支持TOMCAT8 。

先是在NEW SERVER RUNTIME ENVIRONMENT 下点击DOWNLOAD ADDITIONAL SERVER  ADAPTERS并没发现有新的TOMCAT服务发现。

在stackoverflow搜索有看到这个文章http://stackoverflow.com/questions/17868232/how-to-use-tomcat-8-in-eclipse

 

也试着HACK了一把

As a summary of steps I took on my mac: 1) rename catalina.jar to catalina.zip for 7.0.42 and 8.0.0-RC1. 2) Unzip catalina.zip(s) (a double-click on mac). 3) Replace the 8.0 version of org/apache/catalina/util/ServerInfo.properties with the 7.0 version 4) jar up the modified 8.0 catalina directory. I used this command from inside the exploded catalina directory: "jar cmf META-INF/MANIFEST.MF catalina.jar *" –  ECDragon Sep 5 at 21:31

直接将 catalina.jar里的MANIFEST。MF文件,和ServerInfo.properties 的版本号改成和7.0一样就OK了。这个时候可以通过TOMCAT7来对TOMCAT8 进行启动了。。

WTP问题跟踪即将改进:https://bugs.eclipse.org/bugs/show_bug.cgi?id=422340

 

 

目前WTP已经有新版本支持 http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/drops/R3.6.0/I-3.6.0-20140213154746/wtp4x-I-3.6.0-20140213154746.zip

 

查看完整版本: eclipse插件server 不支持tomcat8的问题

Tags:


©KACARICH'S BLOG